## irda-utils 0.9.16

=== Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for Linux IrDA Manager
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Tue Jan 25 09:54:38 2000
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile,v 1.2 2000/11/20 22:35:05 dagb Exp $
##
##     Copyright (c) 1998-2000 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################

DIRS = irattach irdaping etc man irnetd psion tekram findchip irdadump 
CFLAGS= -O2 -W -Wall

all:
	echo "*** Making sure some directories exists ***"
	mkdir -p $(RPM_BUILD_ROOT)/usr/sbin
	mkdir -p $(RPM_BUILD_ROOT)/usr/bin $(RPM_BUILD_ROOT)/usr/X11R6/bin
## Red-Hat specific, not available on Debian
##	mkdir -p $(RPM_BUILD_ROOT)/etc/rc.d/init.d
	cd irdadump;CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./autogen.sh --prefix=$(RPM_BUILD_ROOT)/usr
	for i in $(DIRS); do \
                cd $$i;make all; cd ..; \
        done

install:
	for i in $(DIRS); do \
		cd $$i;make install; cd ..; \
	done

clean:
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

distclean:
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

=== etc/Makefile ===
CC = gcc $(RPM_OPT_FLAGS)
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o ,* *~ *.a

all:

clean:
	$(RM_CMD)

distclean:
	$(RM_CMD)

install:
	@./install-etc $(ROOT)

=== findchip/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       0.1
## Description:   Hardware probe for Infrared Communications Controllers
## Status:        Experimental.
## Author:        Jonathan Hudson <jrhudson@bigfoot.com>
## Created at:    Thu Jan  1 09:54:08 2000
## Modified at:   Tue Jan 25 10:01:42 2000
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
##     Copyright (c) 2000 Jonathan Hudson <jrhudson@bigfoot.com>,
##     Copyright (c) 2000 Dag Brattli <dagb@cs.uit.no>, 
##     All Rights Reserved.
##     
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
## 
##     This program is distributed in the hope that it will be useful,
##     but WITHOUT ANY WARRANTY; without even the implied warranty of
##     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
##     GNU General Public License for more details.
## 
##     You should have received a copy of the GNU General Public License 
##     along with this program; if not, write to the Free Software 
##     Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
##     MA 02111-1307 USA
##     
######################################################################

CC      = gcc
CFLAGS= $(RPM_OPT_FLAGS) $(SYS_INCLUDES) -O2 -Wall -Wstrict-prototypes

SRCS = findchip.c smc.c nsc.c winbond.c
OBJS = $(SRCS:.c=.o)

all: findchip

findchip: $(OBJS)
	$(CC) $(OBJS) $(CFLAGS) -o $@

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o *~ #*

distclean:
	rm -f findchip gfindchip *.o *~ #*

install: findchip
	cp findchip $(ROOT)/usr/sbin/

gfindchip: gfindchip.c 
	$(CC) $(CFLAGS) `gtk-config --cflags`  $< -o $@ `gtk-config --libs`

=== irattach/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for Linux IrDA Manager
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Wed Oct  6 20:22:18 1999
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile,v 1.3 2000/11/20 22:35:07 dagb Exp $
##
##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################

CC = gcc
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o ,* *~ *.a

INCLUDES  = $(SYS_INCLUDES) -I../include/
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= -O2 -W -Wall -Wstrict-prototypes -Wshadow $(SYS_INCLUDES)

# 
# Files to make 
# 
SRCS = util.c
OBJS = $(SRCS:.c=.o)
TARGETS = irattach dongle_attach

all: $(TARGETS)

irattach: irattach.o util.o
	$(CC) $(CFLAGS) irattach.o util.o -o $@

dongle_attach: dongle_attach.o
	$(CC) $(CFLAGS) dongle_attach.o -o $@

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

install: $(TARGETS)
	install irattach $(ROOT)/usr/sbin
	install dongle_attach $(ROOT)/usr/sbin

clean:
	$(RM_CMD)

distclean:
	$(RM_CMD)
	$(RM) irattach dongle_attach

tags:
	etags *.[hc] */*.[hc] */*/*.[hc]

depend:
	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)

# DO NOT DELETE

=== irdaping/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for irdaping
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Mon Jun 21 10:20:50 1999
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile,v 1.1.1.1 2000/11/06 21:13:29 dagb Exp $
##
##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################

CC = gcc
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o ,* *~ *.a

INCLUDES  = $(SYS_INCLUDES) -I../include/
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= $(RPM_OPT_FLAGS) $(SYS_INCLUDES) -Wall -Wstrict-prototypes

# 
# Files to make 
# 
SRCS = irdaping.c
OBJS = $(SRCS:.c=.o)

all:: irdaping

irdaping: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

install: all
	install irdaping $(ROOT)/usr/sbin

clean::
	$(RM_CMD)

distclean::
	$(RM_CMD)
	$(RM) irdaping

depend::
	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)

# DO NOT DELETE

=== irnetd/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for irnetd
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Sat Dec 25 16:13:54 1999
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile,v 1.2 2001/01/14 22:12:57 dagb Exp $
##
##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################

CC = gcc
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o *.so ,* *~ *.a *.orig *.rej

INCLUDES  = $(SYS_INCLUDES) -I../include
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

CFLAGS= $(RPM_OPT_FLAGS) -O2 -Wall -Wstrict-prototypes

# 
# Files to make 
# 
PROG_SOCKET=irnetd

all:: $(PROG_SOCKET)

%: %.o
	$(CC) $(XCFLAGS) -o $@ $^ $(LIBS)
%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

irnetd: irnetd.o

clean::
	$(RM_CMD) 

realclean::
	$(RM_CMD) 
	$(RM) $(PROG_SOCKET) $(PROG_EXTRA)

distclean:: realclean

depend::
	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)

# DO NOT DELETE

=== irsockets/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for irsockets test programs
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Sat Dec 25 16:13:54 1999
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile,v 1.2 2001/01/14 22:12:57 dagb Exp $
##
##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################

CC = gcc
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o *.so ,* *~ *.a *.orig *.rej

INCLUDES  = $(SYS_INCLUDES) -I../include
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/include -I/usr/src/linux/include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= $(SYS_INCLUDES) $(RPM_OPT_FLAGS) -O2 -Wall -Wstrict-prototypes

# 
# Files to make 
# 
PROG_SOCKET=irprintf irprintfx irscanf irscanfx irdaspray
PROG_EXTRA=ias_query send_ultra recv_ultra

all:: $(PROG_SOCKET) $(PROG_EXTRA)

%: %.o
	$(CC) $(XCFLAGS) -o $@ $^ $(LIBS)
%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

irprintf: irprintf.o
irprintfx: irprintfx.o
irscanf: irscanf.o
irscanfx: irscanfx.o
irdaspray: irdaspray.o
ias_query: ias_query.o
send_ultra: send_ultra.o
recv_ultra: recv_ultra.o

clean::
	$(RM_CMD) 

realclean::
	$(RM_CMD) 
	$(RM) $(PROG_SOCKET) $(PROG_EXTRA)

distclean:: realclean

depend::
	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)

# DO NOT DELETE

=== man/Makefile ===
# Makefile for Linux/IrDA man pages.
# v0.1 26/03/2001 wh
# v0.2 Jean II
# v0.3 29/04/2003 wh, added -9 to gzip, changed docbook-to-man to docbook2man

#DOCBOOKCMD=docbook-to-man
DOCBOOKCMD=docbook2man

DESTDIR=
VERSION=0.10
PREFIX=
MANDIR=$(PREFIX)/usr/man
MAN1DIR=$(MANDIR)/man1/
MAN4DIR=$(MANDIR)/man4/
MAN7DIR=$(MANDIR)/man7/
MAN8DIR=$(MANDIR)/man8/

MANPAGES4=irnet.4.gz
MANPAGES7=irda.7.gz
MANPAGES8=irattach.8.gz irdaping.8.gz irdadump.8.gz irpsion5.8.gz \
	findchip.8.gz irnetd.8.gz

# Man pages generated by DOCBOOK
SGMLMAN=irattach.8 irdaping.8 irdadump.8 irpsion5.8 findchip.8

all: $(MANPAGES4) $(MANPAGES7) $(MANPAGES8)

# Translate docbook to man with proper dependancies
%.8: man-%.sgml man-%-inc.sgml
	$(DOCBOOKCMD) $< > $@

# GZIP the man page
%.gz: %
	gzip -9 -f $^

install::
	install -m 755 -d $(MAN4DIR)
	install -m 644 $(MANPAGES4) $(MAN4DIR)/
	install -m 755 -d $(MAN7DIR)
	install -m 644 $(MANPAGES7) $(MAN7DIR)/
	install -m 755 -d $(MAN8DIR)
	install -m 644 $(MANPAGES8) $(MAN8DIR)/

clean::
	rm -f $(SGMLMAN) *~ manpage.*

distclean:: clean

# Don't wipe out the gziped man pages by default, users don't have docbook
# Don't wipe out manpage generated by hand
realclean::
	rm -f $(SGMLMAN) manpage.*

dist		: all
	(cd ..; tar cvfz man-irda-$(VERSION).tgz man-irda-$(VERSION))

=== psion/Makefile ===
all: irpsion5

clean:
	rm -f *.o *~ core

distclean:
	rm -f irpsion5 *.o *~ core

install:
	install irpsion5 $(ROOT)/usr/bin

CFLAGS += -g -I../include -Wall -Wstrict-prototypes $(RPM_OPT_FLAGS)

irpsion5: irpsion5.c

=== tekram/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for irdaping
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Tue Sep  7 21:01:30 1999
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile,v 1.1.1.1 2000/11/06 21:13:50 dagb Exp $
##
##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################

CC = gcc
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o ,* *~ *.a

INCLUDES  = $(SYS_INCLUDES)
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/src/linux/include -I/usr/include -I../include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= $(RPM_OPT_FLAGS) $(SYS_INCLUDES) -Wall -Wstrict-prototypes

# 
# Files to make 
# 
SRCS = irkbd.c
OBJS = $(SRCS:.c=.o)

all:: irkbd

irkbd: $(OBJS)
	$(CC) $(OBJS) -o $@

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

install: all
	install irkbd $(ROOT)/usr/bin

clean::
	$(RM_CMD)

distclean::
	$(RM_CMD)
	$(RM) irkbd

depend::
	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)

# DO NOT DELETE

## irda-utils 0.9.18

=== Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for Linux IrDA Manager
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Tue Jan 25 09:54:38 2000
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile 116 2006-02-28 22:33:43Z sambau $
##
##     Copyright (c) 1998-2000 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################
include output.mak

TARGET = test

DIRS = irattach irdaping etc man irnetd psion tekram findchip irdadump smcinit
CFLAGS= -O2 -W -Wall

all:
	@-(set -e ; for d in $(DIRS) ; do $(MAKE) $(MAKE_OUTPUT) -C $$d $@ ; done)


install:
	@-(set -e ; for d in $(DIRS) ; do $(MAKE) $(MAKE_OUTPUT) -C $$d $@ ; done)


clean:
	$(prn_clean)
	@-(set -e ; for d in $(DIRS) ; do $(MAKE) $(MAKE_OUTPUT) -C $$d $@ ; done)


distclean:
	$(prn_distclean)
	@-(set -e ; for d in $(DIRS) ; do $(MAKE) $(MAKE_OUTPUT) -C $$d $@ ; done)

=== etc/Makefile ===
include ../output.mak

CC = gcc $(RPM_OPT_FLAGS)
LD = ld
RM = rm -f

RM_CMD = $(RM) *.BAK *.bak *.o ,* *~ *.a

all:

etc: all

clean:
	$(RM_CMD)

distclean:
	$(RM_CMD)

install: etc
	$(prn_install)
	@./install-etc $(ROOT)

=== findchip/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 ##     MA 02111-1307 USA
 ##     
 ######################################################################
+include ../output.mak
 
 CC      = gcc
 CFLAGS= $(RPM_OPT_FLAGS) $(SYS_INCLUDES) -O2 -Wall -Wstrict-prototypes
@@ -38,21 +39,31 @@
 
 all: findchip
 
-findchip: $(OBJS)
-	$(CC) $(OBJS) $(CFLAGS) -o $@
 
 .c.o:
-	$(CC) $(CFLAGS) -c $<
+	$(prn_cc)
+	$(ECMD)$(CC) $(CFLAGS) -c $<
+
+
+findchip: $(OBJS)
+	$(prn_cc_o)
+	$(ECMD)$(CC) $(OBJS) $(CFLAGS) -o $@
+
 
 clean:
-	rm -f *.o *~ #*
+	$(ECMD)rm -f *.o *~ \#*
+
 
 distclean:
-	rm -f findchip gfindchip *.o *~ #*
+	$(ECMD)rm -f findchip gfindchip *.o *~ \#*
+
 
 install: findchip
-	cp findchip $(ROOT)/usr/sbin/
+	$(prn_install)
+	$(ECMD)install findchip $(ROOT)/usr/sbin/
+
 
 gfindchip: gfindchip.c 
-	$(CC) $(CFLAGS) `gtk-config --cflags`  $< -o $@ `gtk-config --libs`
+	$(prn_cc)
+	$(ECMD))$(CC) $(CFLAGS) `gtk-config --cflags`  $< -o $@ `gtk-config --libs`

=== irattach/Makefile ===
######################################################################
##                
## Filename:      Makefile
## Version:       
## Description:   Makefile for Linux IrDA Manager
## Status:        Experimental.
## Author:        Dag Brattli <dagb@cs.uit.no>
## Created at:    Thu Feb 19 00:10:23 1998
## Modified at:   Wed Oct  6 20:22:18 1999
## Modified by:   Dag Brattli <dagb@cs.uit.no>
## 
## $Id: Makefile 115 2006-02-28 22:16:46Z sambau $
##
##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
##      
##     This program is free software; you can redistribute it and/or 
##     modify it under the terms of the GNU General Public License as 
##     published by the Free Software Foundation; either version 2 of 
##     the License, or (at your option) any later version.
##  
##     Neither Dag Brattli nor University of Troms admit liability nor
##     provide warranty for any of this software. This material is 
##     provided "AS-IS" and at no charge.
##     
######################################################################
include ../output.mak

CC           = gcc
LD           = ld
RM           = rm -f
CFLAGS       = -O2 -W -Wall -Wstrict-prototypes -Wshadow $(SYS_INCLUDES)

SYS_INCLUDES = -I/usr/include
SYS_LIBPATH  = -L/usr/lib -L/usr/local/lib 

INCLUDES     = $(SYS_INCLUDES) -I../include/
LIBRARIES    = $(SYS_LIBRARIES)
LIBPATH      = $(SYS_LIBPATH)

TARGETS      = irattach dongle_attach

all: $(TARGETS)


.c.o:
	$(prn_cc)
	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<


irattach: irattach.o util.o
	$(prn_cc_o)
	$(ECMD)$(CC) $(CFLAGS) irattach.o util.o -o $@



dongle_attach: dongle_attach.o
	$(prn_cc_o)
	$(ECMD)$(CC) $(CFLAGS) dongle_attach.o -o $@


install: $(TARGETS)
	$(prn_install)
	$(ECMD)install irattach $(ROOT)/usr/sbin
	$(ECMD)install dongle_attach $(ROOT)/usr/sbin


clean: 
	$(ECMD)$(RM) *.BAK *.bak *.o ,* *~ *.a


distclean:
	$(ECMD)$(RM) *.BAK *.bak *.o ,* *~ *.a
	$(ECMD)$(RM) irattach dongle_attach


tags:
	$(prn_etags)
	$(ECMD)etags *.[hc] */*.[hc] */*/*.[hc]


depend:
	$(prn_depend)
	$(ECMD)makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)

# DO NOT DELETE

=== irdadump/Makefile ===
include ../output.mak

CC = gcc
LD = ld
AR = ar
RANLIB = ranlib
RM = rm -f

RM_CMD = $(ECMD)$(RM) *.BAK *.bak *.o ,* *~ *.a

INCLUDES  = $(SYS_INCLUDES) -I../include/
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= -O2 -W -Wall -I. `pkg-config --cflags glib-2.0`

LIBIRDADUMP_OBJS = irdadump.o irlap.o irlmp.o obex.o ircomm.o netbuf.o capture.o
IRDADUMP_OBJS = main.o

LIBIRDADUMP_TARGET = lib_irdadump.a
IRDADUMP_TARGET = irdadump

all: lib_irdadump.a irdadump


lib_irdadump.a: $(LIBIRDADUMP_OBJS)
	$(prn_ar)
	$(ECMD)$(AR) cru  $(LIBIRDADUMP_TARGET) $(LIBIRDADUMP_OBJS)
	$(prn_ranlib) 
	$(ECMD)$(RANLIB) $(LIBIRDADUMP_TARGET)



irdadump: $(IRDADUMP_OBJS) $(LIBIRDADUMP_TARGET)
	$(prn_cc_o)
	$(ECMD)$(CC) $(CFLAGS) `pkg-config --libs glib-2.0` -o  $(IRDADUMP_TARGET) $< $(LIBIRDADUMP_TARGET)


.c.o:
	$(prn_cc)
	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<

install: $(IRDADUMP_TARGET)
	$(prn_install)
	$(ECMD)install $(IRDADUMP_TARGET) $(ROOT)/usr/sbin

clean:
	$(RM_CMD)

distclean:
	$(RM_CMD)
	$(ECMD)$(RM) $(IRDADUMP_TARGET)

=== irnetd/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## Modified at:   Sat Dec 25 16:13:54 1999
 ## Modified by:   Dag Brattli <dagb@cs.uit.no>
 ## 
-## $Id: Makefile,v 1.2 2001/01/14 22:12:57 dagb Exp $
+## $Id: Makefile 115 2006-02-28 22:16:46Z sambau $
 ##
 ##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
 ##      
@@ -23,12 +23,13 @@
 ##     provided "AS-IS" and at no charge.
 ##     
 ######################################################################
+include ../output.mak
 
 CC = gcc
 LD = ld
 RM = rm -f
 
-RM_CMD = $(RM) *.BAK *.bak *.o *.so ,* *~ *.a *.orig *.rej
+RM_CMD = $(ECMD)$(RM) *.BAK *.bak *.o *.so ,* *~ *.a *.orig *.rej
 
 INCLUDES  = $(SYS_INCLUDES) -I../include
 LIBRARIES = $(SYS_LIBRARIES)
@@ -36,30 +37,38 @@
 
 CFLAGS= $(RPM_OPT_FLAGS) -O2 -Wall -Wstrict-prototypes
 
-# 
-# Files to make 
-# 
-PROG_SOCKET=irnetd
+OBJS = irnetd.o
+TARGETS = irnetd
 
-all:: $(PROG_SOCKET)
+all: $(TARGETS)
 
-%: %.o
-	$(CC) $(XCFLAGS) -o $@ $^ $(LIBS)
-%.o: %.c
-	$(CC) $(CFLAGS) $(INCLUDES) -c $<
 
-irnetd: irnetd.o
+.c.o:
+	$(prn_cc)
+	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<
 
-clean::
+
+irnetd: $(OBJS)
+	$(prn_cc_o)
+	$(ECMD)$(CC) $(CFLAGS) $(OBJS) -o $@
+
+
+install: irnetd
+	$(prn_install)
+	$(ECMD) install irnetd /usr/sbin/
+
+
+clean:
 	$(RM_CMD) 
 
-realclean::
+
+distclean:
 	$(RM_CMD) 
-	$(RM) $(PROG_SOCKET) $(PROG_EXTRA)
+	$(EMCD)$(RM) $(TARGETS)
 
-distclean:: realclean
 
-depend::
-	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
+depend:
+	$(prn_depend)
+	$(ECMD)makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
 
 # DO NOT DELETE

=== irsockets/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## Modified at:   Sat Dec 25 16:13:54 1999
 ## Modified by:   Dag Brattli <dagb@cs.uit.no>
 ## 
-## $Id: Makefile,v 1.2 2001/01/14 22:12:57 dagb Exp $
+## $Id: Makefile 115 2006-02-28 22:16:46Z sambau $
 ##
 ##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
 ##      
@@ -23,12 +23,13 @@
 ##     provided "AS-IS" and at no charge.
 ##     
 ######################################################################
+include ../output.mak
 
 CC = gcc
 LD = ld
 RM = rm -f
 
-RM_CMD = $(RM) *.BAK *.bak *.o *.so ,* *~ *.a *.orig *.rej
+RM_CMD = $(ECMD)$(RM) *.BAK *.bak *.o *.so ,* *~ *.a *.orig *.rej
 
 INCLUDES  = $(SYS_INCLUDES) -I../include
 LIBRARIES = $(SYS_LIBRARIES)
@@ -43,38 +44,37 @@
 
 CFLAGS= $(SYS_INCLUDES) $(RPM_OPT_FLAGS) -O2 -Wall -Wstrict-prototypes
 
-# 
-# Files to make 
-# 
-PROG_SOCKET=irprintf irprintfx irscanf irscanfx irdaspray
-PROG_EXTRA=ias_query send_ultra recv_ultra
+SRCS = irprintf.c irprintfx.c irscanf.c irscanfx.c irdaspray.c ias_query.c send_ultra.c recv_ultra.c
+OBJS = $(SRCS:.c=.o)
+TARGETS = irprintf irprintfx irscanf irscanfx irdaspray ias_query send_ultra recv_ultra
 
-all:: $(PROG_SOCKET) $(PROG_EXTRA)
+
+all: $(OBJS)
+
 
 %: %.o
-	$(CC) $(XCFLAGS) -o $@ $^ $(LIBS)
+	$(prn_cc_o)
+	$(ECMD)$(CC) $(XCFLAGS) -o $@ $^ $(LIBS)
+
+
 %.o: %.c
-	$(CC) $(CFLAGS) $(INCLUDES) -c $<
+	$(prn_cc)
+	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<
 
-irprintf: irprintf.o
-irprintfx: irprintfx.o
-irscanf: irscanf.o
-irscanfx: irscanfx.o
-irdaspray: irdaspray.o
-ias_query: ias_query.o
-send_ultra: send_ultra.o
-recv_ultra: recv_ultra.o
 
-clean::
+clean:
+	$(prn_clean)
 	$(RM_CMD) 
 
-realclean::
+
+distclean:
+	$(prn_distclean)
 	$(RM_CMD) 
-	$(RM) $(PROG_SOCKET) $(PROG_EXTRA)
+	$(ECMD)$(RM) $(TARGETS)
 
-distclean:: realclean
 
-depend::
-	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
+depend:
+	$(prn_depend)
+	$(ECMD)makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
 
 # DO NOT DELETE

=== man/Makefile ===
# Makefile for Linux/IrDA man pages.
# v0.1 26/03/2001 wh
# v0.2 Jean II
# v0.3 29/04/2003 wh, added -9 to gzip, changed docbook-to-man to docbook2man
include ../output.mak

DOCBOOKCMD=docbook2man

DESTDIR=
VERSION=0.10
PREFIX=
MANDIR=$(PREFIX)/usr/man
MAN1DIR=$(MANDIR)/man1/
MAN4DIR=$(MANDIR)/man4/
MAN7DIR=$(MANDIR)/man7/
MAN8DIR=$(MANDIR)/man8/

MANPAGES4=irnet.4.gz
MANPAGES7=irda.7.gz
MANPAGES8=irattach.8.gz irdaping.8.gz irdadump.8.gz irpsion5.8.gz \
	findchip.8.gz irnetd.8.gz smcinit.8.gz tosh1800-smcinit.8.gz

# Man pages generated by DOCBOOK
SGMLMAN=irattach.8 irdaping.8 irdadump.8 irpsion5.8 findchip.8

all: $(MANPAGES4) $(MANPAGES7) $(MANPAGES8)

man-pages:all

# Translate docbook to man with proper dependancies
%.8: man-%.sgml man-%-inc.sgml
	$(prn_man)
	$(ECMD)$(DOCBOOKCMD) $< > $@


# GZIP the man page
%.gz: %
	$(prn_gzip)
	$(ECMD)gzip -9 -f $^


install: man-pages
	$(prn_install)
	$(ECMD)install -m 755 -d $(MAN4DIR)
	$(ECMD)install -m 644 $(MANPAGES4) $(MAN4DIR)/
	$(ECMD)install -m 755 -d $(MAN7DIR)
	$(ECMD)install -m 644 $(MANPAGES7) $(MAN7DIR)/
	$(ECMD)install -m 755 -d $(MAN8DIR)
	$(ECMD)install -m 644 $(MANPAGES8) $(MAN8DIR)/


clean:
	$(ECMD)rm -f $(SGMLMAN) *~ manpage.*


distclean: clean


# Don't wipe out the gziped man pages by default, users don't have docbook
# Don't wipe out manpage generated by hand
realclean:
	$(ECMD)rm -f $(SGMLMAN) manpage.*


dist: all
	(cd ..; tar cvfz man-irda-$(VERSION).tgz man-irda-$(VERSION))

=== smcinit/Makefile ===
include ../output.mak

CC = gcc
RM = rm -f

RM_CMD = $(ECMD)$(RM) *.BAK *.bak *.o ,* *~ *.a

INCLUDES  = $(SYS_INCLUDES) -I../include/
LIBRARIES = $(SYS_LIBRARIES)
LIBPATH   = $(SYS_LIBPATH)

#
# System stuff
#
SYS_INCLUDES = -I/usr/include
SYS_LIBRARIES = 
SYS_LIBPATH = -L/usr/lib -L/usr/local/lib 

CFLAGS= -O2 -W -Wall -I.

SMCINIT_OBJS = smcinit.o tosh1800-smcinit.o tosh2450-smcinit.o 

SMCINIT_TARGETS = smcinit tosh1800-smcinit tosh2450-smcinit

all: $(SMCINIT_TARGETS)

smcinit: smcinit.o
	$(prn_cc_o)
	$(ECMD)$(CC) -o $@ $^ $(LIBS) -lpci


tosh1800-smcinit: tosh1800-smcinit.o
	$(prn_cc_o)
	$(ECMD)$(CC) $(XCFLAGS) -o $@ $^ $(LIBS) -lpci


tosh2450-smcinit: tosh2450-smcinit.o
	$(prn_cc_o)
	$(ECMD)$(CC) $(XCFLAGS) -o $@ $^ $(LIBS) -lpci


%o: %c
	$(prn_cc)
	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<

install: $(SMCINIT_TARGETS)
	$(prn_install)
	$(ECMD)install smcinit $(ROOT)/usr/sbin
	$(ECMD)install tosh1800-smcinit $(ROOT)/usr/sbin
	$(ECMD)install tosh2450-smcinit $(ROOT)/usr/sbin

clean:
	$(RM_CMD)

distclean:
	$(RM_CMD)
	$(ECMD)$(RM) $(SMCINIT_TARGETS)

=== tekram/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## Modified at:   Tue Sep  7 21:01:30 1999
 ## Modified by:   Dag Brattli <dagb@cs.uit.no>
 ## 
-## $Id: Makefile,v 1.1.1.1 2000/11/06 21:13:50 dagb Exp $
+## $Id: Makefile 115 2006-02-28 22:16:46Z sambau $
 ##
 ##     Copyright (c) 1998-1999 Dag Brattli, All Rights Reserved.
 ##      
@@ -23,6 +23,7 @@
 ##     provided "AS-IS" and at no charge.
 ##     
 ######################################################################
+include ../output.mak
 
 CC = gcc
 LD = ld
@@ -49,25 +50,31 @@
 SRCS = irkbd.c
 OBJS = $(SRCS:.c=.o)
 
-all:: irkbd
+all: irkbd
+
 
 irkbd: $(OBJS)
-	$(CC) $(OBJS) -o $@
+	$(prn_cc_o)
+	$(ECMD)$(CC) $(OBJS) -o $@
+
 
 .c.o:
-	$(CC) $(CFLAGS) $(INCLUDES) -c $<
+	$(prn_cc)
+	$(ECMD)$(CC) $(CFLAGS) $(INCLUDES) -c $<
 
-install: all
-	install irkbd $(ROOT)/usr/bin
+install: irkbd
+	$(prn_install)
+	$(ECMD)install irkbd $(ROOT)/usr/bin
 
-clean::
-	$(RM_CMD)
+clean:
+	$(ECMD)$(RM_CMD)
 
-distclean::
-	$(RM_CMD)
-	$(RM) irkbd
+distclean:
+	$(ECMD)$(RM_CMD)
+	$(ECMD)$(RM) irkbd
 
-depend::
-	makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
+depend:
+	$(prn_depend)
+	$(ECMD)makedepend -s "# DO NOT DELETE" -- $(INCLUDES) -- $(SRCS)
 
 # DO NOT DELETE

=== debian/changelog ===
irda-utils (0.9.18-15) unstable; urgency=medium

  * QA upload.
  * Add Brazilian Portuguese debconf templates translation
    from Adriano Rafael Gomes. (Closes: #816944)
  * Drop obsolete NEWS.Debian
  * Fix spelling error in README.Debian

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Jan 2017 17:42:40 +0200

irda-utils (0.9.18-14) unstable; urgency=medium

  * QA Upload.
  [ Chris Lamb ]
  * debian/rules: Add -n option to gzip call. Closes: #777418.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 19:13:06 +0200

irda-utils (0.9.18-13) unstable; urgency=low

  * Patch by Matthias Klose to fix build with GCC-5, use
    dpkg-buildflags and build findchip and smcinit on i386.
    (Closes: #777919)
  * Orphaning package.
  * Changed Maintainer address to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jul 2015 10:58:23 +0000

irda-utils (0.9.18-12) unstable; urgency=low

  * Depend on kmod instead of module-init-tools.
    Thanks Marco d'Itri for the heads up.
  * Add etc/modprobe.d to debian/dirs so the directory
    gets removed if empty (Closes: #670149)
  * Add udev rules file to handle USB-IrDA adapters.
    Thanks Thomas Trummer for the patch. (Closes: #577391)
  * debian/postinst: call /dev/MAKEDEV instead of /sbin/MAKEDEV.
    (Closes: #531670)
  * debian/copyright: Link to correct GPL version
  * init.d script: Add Description field.
    Add irda-utils to Provides field. Add status option.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 04 Jun 2012 16:14:25 +0200

irda-utils (0.9.18-11) unstable; urgency=low

  * Moved diff patches to debian/patches
  * Fix FTBFS with ld --as-needed. Patch by Matthias Klose.
    (Closes: 609263)
  * Add Italian debconf translation. (Closes: 605721)
  * Add Polish debconf translation. (Closes: 662918)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 05 Mar 2012 20:04:51 +0100

irda-utils (0.9.18-10) unstable; urgency=low

  * Switch Depends order to udev | makedev. (Closes: #546868)
    Thanks Guillem for the clarification.
  * Added Russian po-debconf translation. 
    Thanks Yuri Kozlov. (Closes: #541752)
  * Bring changes from Anibal back (removed zlib1g-dev build dep)

  [ Daniele Napolitano ]
  * Made baud_rate configurable via /etc/default/irda-utils
    (Closes: #508808)
  * Made the init.d script use log_* LSB functions.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 04 Dec 2009 13:27:26 +0100

irda-utils (0.9.18-9) unstable; urgency=low

  * debian/control: renamed pciutils-dev to libpci-dev.
  * Bumped Standards-Version to 3.8.1.
  * Moved to debhelper compat 7.

  [ Steve Langasek ]
  * Per Debian bug #518247, drop 'alias irnet' from
    /etc/modprobe.d/irda-utils.conf because it's never needed.
    (Closes: #518247)
  * debian/postinst, debian/postrm: rename /etc/modprobe.d/irda-utils to
    /etc/modprobe.d/irda-utils.conf, as required by current
    module-init-tools.  LP: #340873.
  * debian/preinst: handle migrating the modprobe.d filename on upgrade.
  * debian/preinst: remove config file for Linux 2.4 kernels on upgrade.
  * debian/postinst, debian/postrm: drop obsolete handling of modutils.

  [ Daniele Napolitano ]
  * debian/postinst: remove call to update-modules, which was deprecated long
    ago and is no longer shipped by module-init-tools.  LP: #340718.
  * debian/postinst: invoke MAKEDEV, not /dev/MAKEDEV, since the latter is
    obsolete.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Jun 2009 17:50:24 +0200

irda-utils (0.9.18-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libpci-dev. (Closes: #478382)
  * Don't build depend on zlib1g-dev.
  * Don't link with -lz anymore.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 04 May 2008 14:24:21 +1000

irda-utils (0.9.18-8) unstable; urgency=low

  * Corrected LSB headers in init.d script. (Closes: #474317)
    Thanks Petter Reinholdtsen.
  * Fixed debian/rules to fix FTBFS. (Closes: #475970)
    Thanks Evgeni Golov.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 17 Apr 2008 13:17:26 +0200

irda-utils (0.9.18-7) unstable; urgency=low

  * Build findchip on amd64 too. (Closes: #458867)
  * Downgrade setserial Depends to Recommends. (Closes: #456948)
  * Updated watch file. (Closes: #449719)
  * Added Portuguese po-debconf translation. 
    Thanks Pedro Ribeiro. (Closes: #418936)
  * Added Spanish po-debconf translation. 
    Thanks Rudy Godoy Guillén. (Closes: #426199)
  * Bumped Standards-Version to 3.7.3.0, no change.
  * Removed /usr/bin from the list of dirs.
  * debian/control: Updated Description, created Homepage field.
  * Added smsc-ircc2 in the list of FIR devices, even when choosing
    smsc-ircc would work also. (Closes: #435318)
  * Added Pre-Depends on debconf.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 03 Jan 2008 19:25:30 +0100

irda-utils (0.9.18-6) unstable; urgency=low

  * Condition call to debconf on postrm. (Closes: #416782)
  * Added Dutch po-debconf translation. 
    Thanks Bart Cornelis. (Closes: #414764)
  * init.d script: Added LSB section
  * init.d script: Added support for running smcinit prior to irattach
    Thanks Jean-Christophe Jaskula for the patch (Closes: #403378)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 31 Mar 2007 20:22:31 +0200

irda-utils (0.9.18-5) unstable; urgency=low

  * init.d script. Added '-e' to the sysctl in the stop target.
    Thanks Mario 'BitKoenig' Holbe for noticing.
  * debian/postinst. Removed check for udev. Call MAKEDEV always.
    (Closes: #397411)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 11 Nov 2006 20:15:09 +0100

irda-utils (0.9.18-4) unstable; urgency=low

  * debian/postinst. Removed check for /dev/.devfsd, since MAKEDEV
    already does that.
  * smcinit/Makefile: Added -lz and ...
  * debian/control: Added Build-Dep on zlib1g-dev to work around
    libpci-dev making the package FTBFS. This should go away later.
    (Closes: #396781)


=== debian/control ===
Source: irda-utils
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libglib2.0-dev, debhelper (>= 7) , libpci-dev
Standards-Version: 3.8.1
Homepage: http://irda.sourceforge.net

Package: irda-utils
Conflicts: irda-common, irda-tools
Replaces: irda-common, irda-tools
Provides: irda-tools
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, udev | makedev, kmod
Recommends: openobex-apps, setserial
Suggests: libgsmme1c102, liblinc1, obexftp
Description: IrDA management and handling utilities
 This package contains userspace utilities to manage and handle infrared
 devices. It includes irattach, findchip, irdadump, irdaping and irpsion5.
 OBEX tools are removed since 0.9.5. If you need to use IrOBEX,
 use openobex-apps package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
## agi TODO maybe we should use DPKG_BUILD_ARCH & DPKG_BUILD_ARCH_OS
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CFLAGS := $(shell dpkg-buildflags --get CFLAGS; dpkg-buildflags --get CPPFLAGS) \
	-fgnu89-inline
export DEB_CFLAGS

DEB_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export DEB_LDFLAGS

INSTALLDIR=`pwd`/debian/irda-utils
INSTALLDOCDIR=$(INSTALLDIR)/usr/share/doc/irda-utils

build: build-stamp
build-stamp:
	dh_testdir

	(cd irdadump; $(MAKE) V=1)
	(cd irattach;$(MAKE) V=1)
	(cd irdaping; $(MAKE) V=1)
	(cd irnetd; $(MAKE) V=1)
	(cd psion; $(MAKE) V=1)

ifneq (,$(filter $(DEB_HOST_MULTIARCH), i386-linux-gnu x86_64-linux-gnu))
	(cd findchip; $(MAKE) V=1)
	(cd smcinit; $(MAKE) V=1)
endif

	## man page fix. TODO move away from .gz manpages in upstream and build them from sgml files
# 	( cd man; mv irdadump.8.gz irdadump.8.gz.old ; cp irdadump.8.gz.old irdadump.8.gz ; gzip -d irdadump.8.gz ; patch -p0 < ../debian/irdadump.8.diff ; gzip -9 irdadump.8)
# 	( cd man; mv irattach.8.gz irattach.8.gz.old ; cp irattach.8.gz.old irattach.8.gz ; gzip -d irattach.8.gz ; patch -p0 < ../debian/irattach.8.diff ; gzip -9 irattach.8)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp ChangeLog

	# install new config.{sub,guess}
# 	-[ -e irdadump/config.sub ] && mv irdadump/config.sub irdadump/config.sub.old
# 	-[ -e irdadump/config.guess ] && mv irdadump/config.guess irdadump/config.guess.old
# 	cp /usr/share/misc/config.guess irdadump/
# 	cp /usr/share/misc/config.sub irdadump/


	# cover ChangeLog issues
# 	rm -f ChangeLog irdadump/ChangeLog.irdadump irattach/ChangeLog.irdadump

# 	# put back old config.{sub,guess}
# 	-[ -e irdadump/config.sub.old ]   && mv -f irdadump/config.sub.old irdadump/config.sub
# 	-[ -e irdadump/config.guess.old ] && mv -f irdadump/config.guess.old irdadump/config.guess
# 	## restore original manpage
# 	-[ -e man/irdadump.8.gz.old ] && mv man/irdadump.8.gz.old man/irdadump.8.gz

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	-(cd irattach; $(MAKE) distclean)
	#-(cd irdadump; $(MAKE) distclean; rm -rf depcomp missing mkinstalldirs install-sh autom4te.cache)
	-(cd irdadump; $(MAKE) distclean)
	-(cd irdaping; $(MAKE) distclean)
	-(cd irnetd; $(MAKE) distclean)
	-(cd psion; $(MAKE) distclean)
	-(cd findchip; $(MAKE) distclean)
	-(cd smcinit; $(MAKE) distclean)

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	install irattach/irattach $(INSTALLDIR)/usr/sbin
## devfs is dead
#	mkdir -p $(INSTALLDIR)/etc/devfs/conf.d
#	cp `pwd`/debian/devfs-conf.d-irda $(INSTALLDIR)/etc/devfs/conf.d/irda
	if [ "$(DEB_BUILD_GNU_TYPE)" = "i486-linux-gnu" -o "$(DEB_BUILD_GNU_TYPE)" = "x86_64-linux-gnu" ]; then \
		install findchip/findchip $(INSTALLDIR)/usr/sbin; \
		install smcinit/smcinit $(INSTALLDIR)/usr/sbin; \
	fi

	install irdadump/irdadump $(INSTALLDIR)/usr/sbin
	install irdaping/irdaping $(INSTALLDIR)/usr/sbin
	install irnetd/irnetd $(INSTALLDIR)/usr/sbin
	install psion/irpsion5 $(INSTALLDIR)/usr/sbin

	# some ChangeLog and README issues
	mkdir -p $(INSTALLDOCDIR)
	echo "There is no ChangeLog for the whole package. Check the invidual ChangeLogs." > $(INSTALLDOCDIR)/changelog
	gzip -9n $(INSTALLDOCDIR)/changelog
	cp irdadump/ChangeLog $(INSTALLDOCDIR)/ChangeLog.irdadump
	cp irdadump/README $(INSTALLDOCDIR)/README.irdadump
	cp irattach/ChangeLog $(INSTALLDOCDIR)/ChangeLog.irattach

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
	dh_installinit
#	dh_installcron
	dh_installdebconf
	if [ "$(DEB_BUILD_GNU_TYPE)" = "i486-linux-gnu" -o "$(DEB_BUILD_GNU_TYPE)" = "x86_64-linux-gnu" ]; then \
		dh_installman man/findchip.8.gz; \
	fi
	dh_installman man/irattach.8.gz man/irdadump.8.gz man/irdaping.8.gz man/irpsion5.8.gz man/irnet.4.gz man/irnetd.8.gz man/irda.7.gz man/smcinit.8.gz
	dh_installchangelogs
	dh_installudev
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
